import java.io.*;
public class Slavarenje {
	
	public static void main(String[] args) {
		BufferedReader in = null;
		int i = 0;
		try {
			in = new BufferedReader(new FileReader("Gosti.txt"));
			int brGostiju = Integer.parseInt(in.readLine());
			Slava.Gost[] gosti = new Slava.Gost[brGostiju];
			while (i < brGostiju) {
				String ime = in.readLine();
				int kilaza = Integer.parseInt(in.readLine());
				gosti[i++] = new Slava.Gost(ime, kilaza);
			}
			int[] hrane = { 50, 75, 100 };
			Slava[] slave = new Slava[3];
			System.out.println("Broj slava: "+slave.length + "\n\n");
			for (int j = 0; j < slave.length; j++)
				try {
					slave[j] = new Slava(hrane[j], gosti);
				} catch (Izjelice ex) {
					System.out.print("Problem na " + (j + 1) + ". slavi: ");
					System.out.println(ex.getMessage());
				}
		} catch (IOException ex) {
			System.out.println("Greska prilikom otvaranja ulaznog fajla");
			ex.printStackTrace();
		} catch (NumberFormatException ex) {
			System.out.println("Pogresna kilaza za " + (i + 1) + ". gosta");
		} finally {
			if (in != null)
				try {
					in.close();
				} catch (IOException ex) {}
		}
	}
}